app-portage/unsymlink-lib

Discussion in general that pertains to Sabayon Linux - Must Pertain to Sabayon Linux

Moderator: Moderators

Post Reply
redwood
Young Hen
Posts: 26
Joined: Sat Jan 25, 2014 19:20

app-portage/unsymlink-lib

Post by redwood » Fri Aug 28, 2020 20:55

Hi,

I have an older laptop that I neglected to update the profile to 17.0, so it's still using the old system layout with separate /lib32 /lib64 and symlink /lib

In 2019 unsymlink-lib was marked stable. However, when I run the program it says it can't find python3.7.

I have both python3.6 and python2.7 installed via equo.
I've tried specifying python3.6 but the script says that this Python implementation (python3.6) is not supported by the script.

Looks like the script specifically requires python3.7.

So I decided to try emerge python3.7 by first installing gcc-8.2.0 (via equo).
"emerge -pv python:3.7" shows a lot of programs to be emerged (probably some already installed via equo).
So tried "emerge python:3.6 --nodeps" but eventually gcc aborts saying "error: C compiler cannot create executables"



Anybody have a solution other than re-installing sabayon ?


thanks

Post Reply